Extending Qt Creator Manual | Reference

Extending Qt Creator Manual 4.5.2

# Reference Class

(QmlJS::Reference)

Inherits: | QmlJS::Value

- List of all members, including inherited members

## Public Functions

| Reference(ValueOwner *valueOwner)
| ~Reference()
ValueOwner * | valueOwner() const

## Reimplemented Public Functions

virtual void | accept(ValueVisitor *) const override
virtual const Reference * | asReference() const override

- 29 public functions inherited from QmlJS::Value

## Member Function Documentation

### Reference::Reference(ValueOwner *valueOwner)

Default constructs an instance of Reference.

### Reference::~Reference()

Destroys the instance of Reference.

### `[override virtual]` void Reference::accept(ValueVisitor *) const

### `[override virtual]` const Reference *Reference::asReference() const

### ValueOwner *Reference::valueOwner() const